package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItembuygiftAdditemRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaWdkMarketingItembuygiftAdditemItemBuyGiftSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaWdkMarketingItembuygiftAdditemCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaWdkMarketingItembuygiftAdditemRequest) SetParam0(v domain.AlibabaWdkMarketingItembuygiftAdditemItemBuyGiftSku) *AlibabaWdkMarketingItembuygiftAdditemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftAdditemRequest) SetParam1(v domain.AlibabaWdkMarketingItembuygiftAdditemCommonActivityParam) *AlibabaWdkMarketingItembuygiftAdditemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaWdkMarketingItembuygiftAdditemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItembuygiftAdditemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
